TokyoTyrantTable::out
TokyoTyrantTable::putCat
TokyoTyrantTable
PHP Manual

# TokyoTyrantTable::put

Store a row

### Description

public int TokyoTyrantTable::put ( string `$key` , array `$columns` )

Puts a new row into the database. This method parameters are `key` which is the primary key of the row, passing `NULL` will generate a new unique id. `value` is an array containing the row contents which is usually key value pairs.

### Parameters

`key`

  The primary key of the row

`columns`

  The row contents

### Return Values

Returns the primary key on success and throws TokyoTyrantException on error

### Examples

Example #1 TokyoTyrantTable::put example

`<?php
/* Connect to a table database */
$tt = new TokyoTyrantTable("localhost", 1979);
/* Passing null to put generates a new uid */
$index = $tt->put(null, array("column1" => "some data", "column2" => "more data"));
/* Get the row back */
var_dump($tt->get($index));
/* Modify an existing row */
$tt->put($index, array("column1" => "other data", "column2" => "better data"));
/* Get the row back */
var_dump($tt->get($index));
?>`

The above example will output:

    array(2) {
      ["column1"]=>
      string(9) "some data"
      ["column2"]=>
      string(9) "more data"
    }
    array(2) {
      ["column1"]=>
      string(10) "other data"
      ["column2"]=>
      string(11) "better data"
    }

### See Also

- TokyoTyrantTable::get